import request from '@/utils/request'

// 查询cmc设备审批列表
export function listDeviceApproval(query) {
  return request({
    url: '/oa/deviceApproval/list',
    method: 'get',
    params: query
  })
}

// 查询cmc设备审批详细
export function getDeviceApproval(deviceApplyId) {
  return request({
    url: '/oa/deviceApproval/' + deviceApplyId,
    method: 'get'
  })
}

// 新增cmc设备审批
export function addDeviceApproval(data) {
  return request({
    url: '/oa/deviceApproval',
    method: 'post',
    data: data
  })
}

// 修改cmc设备审批
export function updateDeviceApproval(data) {
  return request({
    url: '/oa/deviceApproval',
    method: 'put',
    data: data
  })
}

// 删除cmc设备审批
export function delDeviceApproval(deviceApplyId) {
  return request({
    url: '/oa/deviceApproval/' + deviceApplyId,
    method: 'delete'
  })
}
